#!/usr/bin/perl -w

use warnings;
use strict;

our $TERM = "pterm";
our @COLOR = (
  "-bg rgb:20/40/10",
  "-bg rgb:40/40/00",
  "-bg rgb:50/20/10",
);

our @net = (
   [ "finpost.net", [
#    [ "amor", 0 ],
#    [ "apollo", 0 ],
#    [ "artemis", 0 ],
    [ "be1", 0 ],
#    [ "cupid", 0 ],
#    [ "edisrv", 0 ],
    [ "fe1", 1 ],
    [ "fe2", 1 ],
    [ "faxman", 1 ],
    [ "genghis", 1 ],
    [ "happi", 2 ],
#    [ "joutsen", 0 ],
    [ "korppi", 1 ],
    [ "kublai", 2 ],
#    [ "kurki", 0 ],
#    [ "kuukkeli", 1 ],
    [ "nappi", 1 ],
    [ "patu", 10 ],
    [ "patuc", 10 ],
    [ "penelope", 1 ],
    [ "pilvi", 2 ],
    [ "pluto", 2 ],
    [ "putki", 2 ],
#    [ "samba", 1 ],
    [ "thoth", 2 ],
    [ "telephos", 2 ],
    [ "varis", 1 ],
  ] ],
  [ "elma.fi", [
    [ "disco", 1 ],
    [ "elma", 2 ],
    [ "elvis", 1 ],
    [ "root\@habbo-gw", 1 ],
    [ "hana", 0 ],
    [ "harakka", 1 ],
    [ "install", 0 ],
    [ "isokihu", 0 ],
    [ "hopea", 1 ],
    [ "kelo", 0 ],
    [ "kota", 2 ],
    [ "korppi", 0 ],
    [ "kulta", 1 ],
    [ "kyyhky", 1 ],
    [ "leuku", 2 ],
    [ "lokki", 1 ],
    [ "magnesium", 1 ],
    [ "merikihu", 1 ],
    [ "natrium", 2 ],
    [ "neon", 2 ],
    [ "nili", 2 ],
    [ "perho", 2 ],
    [ "perhonen", 2 ],
    [ "purnu", 1 ],
    [ "rikki", 2 ],
    [ "rubiini", 1 ],
    [ "suula", 1 ],
    [ "taku", 2 ],
    [ "typpi", 1 ],
    [ "tikka", 1 ],
    [ "tokka", 1 ],
  ] ]
);


print "Dynamic {\n";
foreach my $domain (@net) {
  my $domainname = @{$domain}[0];
  print "  Submenu = \"$domainname\" {\n";
  foreach my $servers (@{$domain}[1]) {
    foreach my $server (@{$servers}) {
      my $servername = @{$server}[0];
      my $level = @{$server}[1];
      if($level < 10) {
        print "    Entry = \"$servername\" { Actions = \"Exec $TERM -T $servername $COLOR[$level] -e ssh $servername.$domainname &\" }\n";
      } else {
        print "    Entry = \"$servername\" { Actions = \"Exec rdesktop -T $servername -u administrator -g 1590x1180 -k fi $servername.$domainname &\" }\n";
      }
    }
  }
  print "  }\n\n";
}
print "}\n";


